> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Triton Integration

> Update Triton audio sensor integration



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/integrations/IoT/updateTritonIntegration
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/integrations/IoT/updateTritonIntegration:
    post:
      tags:
        - IoT Integrations Webservice
      summary: Update Triton Integration
      description: Update Triton audio sensor integration
      operationId: updateTritonIntegration
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Integration_UpdateTritonIntegrationWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Integration_UpdateOrgIntegrationsWSResponse
          description: OK
components:
  schemas:
    Integration_UpdateTritonIntegrationWSRequest:
      type: object
      description: Request object for updating Triton audio sensor integration settings.
      properties:
        tritonSettings:
          $ref: '#/components/schemas/TritonSettings'
    Integration_UpdateOrgIntegrationsWSResponse:
      type: object
      description: Response object for updating organization integrations.
      properties:
        authError:
          type: boolean
          description: Whether an authentication error occurred during update
          example: false
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        failedGuids:
          type: array
          description: List of GUIDs that failed to update
          items:
            type: string
            description: List of GUIDs that failed to update
            nullable: true
          nullable: true
        misconfiguredDoors:
          type: array
          description: List of door names that are assigned to multiple Rhombus locations
          items:
            type: string
            description: List of door names that are assigned to multiple Rhombus locations
            nullable: true
          nullable: true
        warningMsg:
          type: string
          nullable: true
    TritonSettings:
      type: object
      properties:
        alertAggression:
          type: boolean
          nullable: true
        alertCO:
          type: boolean
          nullable: true
        alertCO2:
          type: boolean
          nullable: true
        alertGunshot:
          type: boolean
          nullable: true
        alertHelp:
          type: boolean
          nullable: true
        alertMasking:
          type: boolean
          nullable: true
        alertTHC:
          type: boolean
          nullable: true
        alertTamper:
          type: boolean
          nullable: true
        alertVOC:
          type: boolean
          nullable: true
        alertVape:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        savedClipDurationMs:
          type: integer
          format: int32
          nullable: true
        sensorToCamerasMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            nullable: true
          nullable: true
        triggerNotification:
          type: boolean
          nullable: true
        url:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````